from django.shortcuts import render
from django.views.generic import TemplateView, DetailView, ListView, View

from start.views import SearchableView

class Index(TemplateView, SearchableView):
    """
    The index page of the gawa/blog app.

    Utilizes a generic view, because I will do so for all views, 
    a regular view function would suffice.
    """

    template_name: str = "blog/index.html"

class Post(DetailView):
    """
    Main page of a blog post
    """
    pass

class CategoryList(ListView):
    """
    Scroll through a list of blog Categories
    """
    pass

class ArticleList(ListView):
    """
    Scroll through a list of blog posts

    There should also be some kind of filter, for category and date.
    Of course, Articles will also show up in the MainSearchView
    """
    pass
